Bug 729204 - Anaconda Can't Install to BIOS RAID Device
Anaconda Can't Install to BIOS RAID Device
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-08-08 23:07 EDT by mccrobie2000
Modified: 2012-04-12 04:12 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-12 04:12:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
From the "Save" option on the anaconda error dialog box. (314.63 KB, text/plain)
2011-08-08 23:08 EDT, mccrobie2000
no flags Details

  None (edit)
Description mccrobie2000 2011-08-08 23:07:23 EDT
System: Supermicro X6DA8
RAM:    3GB ECC Registered Non-Buffered, PC2700 (166MHz) (Kingston)
Disk:   ADAPTEC RAID 1 SCSI Disk Drive
           HDS72404  0KLSA80  (Firmware KFA0) SATA Port 0 - 372.6 GB
           HDS72404  0KLSA80  (Firmware KFA0) SATA Port 1 - 372.6 GB
           RAID 1 Configuration from the BIOS
           SATA HostRAID (aarich) / AARICH5R
           Adaptec Storage Manager from Windows Server 2003 reports Optimal
        3WARE 9500S - Write-cache enabled
           8 disks in RAID-5 with 1 Hot Spare
              7x - HDS724040KLSA80  372.6GB KFAOA46A = 2.18TB
              1x - HDS724040KLSA80  372.6GB KFA0A46A = 372.6GB HOT SPARE

The 3WARE 9500S is not selected during install.
The ADAPTEC RAID 1 SCSI Disk Drive is selected from the "Advanced Storage" option in the installation screen.

The ADAPTEC RAID 1 SCSI Disk Drive has the following partitions:
      Partition 1 - 19.53 GB NTFS     C: (bootable)
      Partition 2 - 39.07 GB NTFS     D: (data)
      Rest of disk is unpartitioned

After selecting the "Default Partitioning / Installation Target", the system wants to create:
      Partition 3 - 500 MB (/boot)
      Partition 4 - PV
           VG vg_pear
               LV - swap
               LV - root
               LV - home

However, when "Write Changes to Disk", an error occurs - see the attached file.
Comment 1 mccrobie2000 2011-08-08 23:08:40 EDT
Created attachment 517337 [details]
From the "Save" option on the anaconda error dialog box.
Comment 2 David Lehman 2011-08-09 12:09:54 EDT
Something is going wrong with lvm and the weird array name with all the spaces in it:

18:30:12,373 INFO program: Running... wipefs -a /dev/mapper/asr_System Array   p5
18:30:12,402 INFO program: Running... lvm pvcreate --config  devices { filter=["r|/sdc$|","r|/sdc1$|","r|/loop0$|","r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/asr_System Array$|"] }  --dataalignment 1024k /dev/mapper/asr_System Array   p5
18:30:13,113 INFO program:  

18:30:14,307 INFO program: Running... lvm vgcreate -s 32m --config  devices { filter=["r|/sdc$|","r|/sdc1$|","r|/loop0$|","r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/asr_System Array$|"] }  vg_pear /dev/mapper/asr_System Array   p5
18:30:16,336 INFO program:  

18:30:16,837 INFO program: Running... lvm lvcreate -L 5056m -n lv_swap --config  devices { filter=["r|/sdc$|","r|/sdc1$|","r|/loop0$|","r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/asr_System Array$|"] }  vg_pear
18:30:18,261 INFO program:  
18:30:18,262 ERR program:   Path /dev/Array no longer valid for device(253,5)

18:30:19,235 INFO program: Running... lvm lvcreate -L 264768m -n lv_home --config  devices { filter=["r|/sdc$|","r|/sdc1$|","r|/loop0$|","r|/loop1$|","r|/loop2$|","r|/loop3$|","r|/loop4$|","r|/loop5$|","r|/loop6$|","r|/loop7$|","r|/asr_System Array$|"] }  vg_pear
18:30:20,744 ERR program:   device-mapper: resume ioctl failed: Invalid argument
18:30:20,745 ERR program:   Unable to resume vg_pear-lv_home (253:7)
18:30:20,746 ERR program:   Failed to activate new LV.
Comment 3 mccrobie2000 2011-08-11 17:29:49 EDT
I have booted the Fedora 15 Live KDE Spin:

dmraid -r

/dev/sda: asr, "asr_System Array   ", mirror, ok, ...
/dev/sdb: asr, "asr_System Array   ", mirror, ok, ...

dmraid -s
*** Set
name   : asr_System Array   
size   : 781422592
stride : 128
type   : mirror
status : ok
subsets: 0
devs   : 2
spares : 0

dmraid -ay
RAID set "asr_System Array   " was activated
RAID set "asr_System Array   " was not activated
RAID set "asr_System Array   p1" was not activated
RAID set "asr_System Array   p2" was not activated
RAID set "asr_System Array   p3" was not activated
RAID set "asr_System Array   p5" was not activated

Not sure why the array can't be activated - no entries related to
"asr_System Array   p1" show up...

You will notice that dmraid is producing a name with embedded spaces...
Comment 4 mccrobie2000 2011-08-12 08:41:20 EDT
This issue has been resolved.

I booted Windows Server 2003, used the Adpatec Storage Manager to rename the logical disk.  I removed the embedded space in the logical disk name.  The disk name was "System Array" and was changed to "SystemArray".  I don't know if the original name had the trailing spaces.  Adaptec Storage Manager did not show trailing spaces.

Booted the Fedora 15 KDE Live Spin and performed install to hard disk.

The entries in /dev/mapper now look better:


After installing, the system will boot from hard disk.

However, someone will either have to update documentation to note that embedded spaces in the Adaptec BIOS RAID logical disk name are NOT allowed -or- fix dmraid to map between the logical disk name and the entries put into /dev/mapper.
Comment 5 Peter Rajnoha 2012-04-12 04:12:14 EDT
We're encoding these special characters now, including the space character using the scheme that udev understands. Normally, udev interprets the space character as a delimiter and thus makes two independent nodes/symlinks while creating them under /dev. See also bug #736486 for more info about the problem.

The fix appears in libdevmapper v1.02.74/lvm2 v2.02.95 (released on 6th March 2012) which is now part of new Fedora releases (Fedora 17+).

I hope this solves the problem reported here. If you encounter this bug again with that new libdevmapper/lvm2 release mentioned above, please, open a new bug report for us. Thanks.

Note You need to log in before you can comment on or make changes to this bug.